* {
  padding: 0;
  margin: 0;
  font-family: sans-serif;
  font-weight: normal;
  box-sizing: border-box;
}

@keyframes swing {
  0% {
    transform: rotate(-15deg);
  }
  100% {
    transform: rotate(15deg);
    color: yellow;
  }
}

/* ----------------------------HEADER---------------------------- */

.main-header {
  color: #fff;
  height: 40px;
  width: auto;
  background-color: rgb(71, 71, 191);
}

.CMS {
  font-size: 18px;
  margin: 10px 15px;
  float: left;
}

.username {
  font-size: 16px;
  margin: 10px 5px;
  margin-right: 15px;
  float: right;
}

.fa-circle-user {
  font-size: 26px;
  display: inline-block;
  padding: 7px;
  margin-left: 10px;
}

.dropdown {
  float: right;
  position: relative;
}

.dropdown-content {
  display: none;
  position: absolute;
  min-width: 120px;
  background-color: #f9f9f9;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 1;
}

#bell-dropdown {
  left: -150px;
  min-width: 320px;
}

.dropdown-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

.dropdown-content a:hover {
  background-color: #f1f1f1;
  font-weight: bold;
}

.dropdown:hover .dropdown-content {
  display: block;
}

.dropdown:hover .dropbtn {
  background-color: #3e8e41;
}

.fa-bell {
  font-size: 26px;
  padding: 7px;
  display: inline-block;
}

.fa-bell:hover {
  animation: swing 1.5s ease-in-out infinite alternate;
}

.fa-solid {
  display: block;
  color: darkgray;
}

.usernames {
  color: black;
  margin-left: 7px;
}

.message {
  margin-top: 15px;
  width: max-content;
  position: relative;
  display: block;
}

.message .tooltiptext {
  width: 180px;
  height: 40px;
  font-size: 14px;
  background-color: darkgray;
  color: #000;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;
  position: absolute;
  z-index: 1;
  top: -5px;
  left: 110%;
}

.message .tooltiptext::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 100%;
  margin-top: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: transparent darkgray transparent transparent;
}

/* ----------------------------NAVIGATION---------------------------- */

.sidebar ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

li a {
  display: block;
  color: #000;
  padding: 8px 16px;
  text-decoration: none;
}

li a:hover,
li a.active {
  background-color: rgb(71, 71, 191);
  color: white;
}

.sidebar {
  background-color: rgba(71, 71, 191, 0.9);
  overflow: auto;
  position: fixed;
  width: 15%;
  height: 100%;
  float: left;
}

.sidebar .nav-links {
  list-style: none;
}

li {
  margin-bottom: 15px;
}

li:last-child {
  margin-bottom: 0;
}

li:first-child {
  margin-top: 30px;
}

a {
  font-size: 18px;
}

a:link,
a:visited {
  text-decoration: none;
  color: black;
}

/* ----------------------------MAIN-CONTENT---------------------------- */

h1 {
  font-size: 28px;
}

.add-button {
  float: right;
  margin-bottom: 20px;
  width: 40px;
  height: 35px;
  font-size: 30px;
  border: 1px solid black;
  background-color: white;
  cursor: pointer;
}

.add-button:hover {
  background-color: lightgray;
}

.main-content {
  margin-top: 30px;
  margin-left: 17%;
  margin-right: 2%;
  padding: 1px 16px;
  height: 100%;
}

.center {
  display: flex;
  justify-content: center;
}

.pagination {
  position: fixed;
  bottom: 100px;
  display: inline-block;
}

.pagination a {
  color: black;
  float: left;
  padding: 8px 16px;
  text-decoration: none;
  transition: background-color 0.3s;
  border: 1px solid #ddd;
  margin: 0 4px;
}

.pagination a:hover {
  background-color: #ddd;
}

.pagination a:active {
  background-color: #4caf50;
  color: white;
  border: 1px solid #4caf50;
}

/* ----------------------------TABLE---------------------------- */
.students-data,
th,
td {
  border: 2px solid black;
  clear: right;
  border-collapse: collapse;
  font-size: 16px;
  text-align: center;
}

.fa-circle {
  font-size: 20px;
}

.status-active {
  color: green;
}

.status-inactive {
  color: gray;
}

.students-data button {
  width: 25px;
  height: 25px;
}

.students-data th,
.students-data td {
  height: 60px;
}

.students-data input[type="checkbox"] {
  width: 20px;
  height: 20px;
  border: 2px solid black;
}

.students-data th:nth-child(1),
.students-data th:nth-child(4),
.students-data th:nth-child(6) {
  width: 130px;
}

.students-data th:nth-child(2),
.students-data th:nth-child(7) {
  width: 170px;
}

.students-data th:nth-child(3) {
  width: 280px;
}

.students-data th:nth-child(5) {
  width: 275px;
}

.fa-pencil {
  color: #000;
}

/* ----------------------------FORM---------------------------- */

.form-window,
.warning {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.4);
}

.students-content,
.warning-content {
  background-color: #fefefe;
  margin: 12% auto;
  border: 2px solid #000;
  border-radius: 10px;
  width: 60%;
}

.input-container,
.warning-container {
  margin-left: 50px;
  margin-top: 20px;
}

.warning-container {
  margin-left: 50px;
  margin-top: 80px;
  margin-bottom: 80px;
}

.input-container label {
  display: inline-block;
  width: 150px;
}

.input-container select,
.input-container input {
  width: 150px;
  height: 20px;
}

.form-header,
.warning-header {
  padding: 20px 0;
  border-bottom: 2px solid #000;
}

.form-header h2,
.warning-header h2 {
  font-size: 18px;
  font-weight: bold;
  margin: auto 10px;
}

.close {
  font-weight: normal;
  width: 20px;
  height: 20px;
  margin-right: 10px;
  text-align: center;
  margin-top: 10px;
  border: 1px solid #000;
  cursor: pointer;
  background-color: #fff;
  float: right;
  font-size: 18px;
}

.students-content label,
#warning-text {
  font-size: 20px;
}

#warning-text {
  font-weight: bold;
}

.close:hover,
.close:focus {
  background-color: #ddd;
  cursor: pointer;
}

.button-container {
  text-align: center;
  margin: 20px 0;
  height: 60px;
  border-top: 2px solid #000;
  position: relative;
}

.button-container input[type="button"],
.button-container input[type="submit"],
.button-container button {
  padding: 5px 20px;
  margin-right: 10px;
  border: 1px solid #000;
  background-color: #fff;
  cursor: pointer;
  position: absolute;
  bottom: 10px;
  right: 5px;
}

#cancel {
  right: 5px;
}

#confirm {
  right: 110px;
}

.button-container input[type="button"] {
  right: 110px;
}

.button-container input[type="button"]:hover,
.button-container input[type="submit"]:hover,
.button-container button:hover {
  background-color: #ddd;
}

@media only screen and (max-width: 768px) {
  .main-header {
    margin-bottom: 0;
  }

  .sidebar {
    margin-left: 0;
    width: 100%;
    float: none;
    margin-bottom: 10px;
    height: 40px;
    overflow: unset;
    position: unset;
    padding: 10px 30px;
  }

  .main-content {
    margin-left: auto;
    margin-top: 10px;
  }

  .sidebar li {
    float: left;
  }

  li a {
    padding: unset;
    margin-right: 10px;
    display: block;
  }

  li:first-child {
    margin-top: 0;
  }

  li a:link,
  li a:visited {
    color: #fff;
  }
}

/* ----------------------------VALIDATION---------------------------- */
/* .invalid {
  border: 1px solid red;
} */
